import javax.swing.*;
import javax.swing.event.*;
import java.awt.event.*;
import java.awt.*;
import javax.swing.filechooser.FileFilter;
import java.io.*;
import javax.media.jai.JAI;
import javax.media.jai.PlanarImage;
import java.util.*;
import java.awt.image.*;
import java.awt.image.renderable.*;
import javax.media.jai.*;
import javax.media.jai.operator.*;

public class HistogramDlg extends JInternalFrame {
    private int[] m_nHistogramData;
    private HistogramPanel m_panelHistogram;
    private PicEdit m_frmParent;
    
    public HistogramDlg(PicEdit frmParent, int[] nHistogramData) {
        super("Histogram...", true, true, true, true);
        this.m_nHistogramData = nHistogramData;
        this.m_frmParent = frmParent;
        
        getContentPane().setLayout(new BorderLayout());
        Point parentLoc = frmParent.getLocation();
        setLocation(parentLoc.x + 100, parentLoc.y + 100);
        
        m_panelHistogram = new HistogramPanel(nHistogramData);
        JButton btnShow = new JButton("Zeigen");
        
        // Eventhandlers...
        btnShow.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                updateData();
            }
        });
        getContentPane().add(m_panelHistogram, BorderLayout.CENTER);
        getContentPane().add(btnShow, BorderLayout.SOUTH);
        pack();
        setMinimumSize(getSize());
        frmParent.addChild(this);
    }
    
    private void updateData() {
        m_nHistogramData = m_frmParent.getHistogram();
        m_panelHistogram.setData(m_nHistogramData);
    }
}