import javax.swing.*;
import javax.swing.event.*;
import java.awt.event.*;
import java.awt.*;
import javax.swing.filechooser.FileFilter;
import java.io.*;
import javax.media.jai.JAI;
import javax.media.jai.PlanarImage;
import java.util.*;
import java.awt.image.*;
import java.awt.image.renderable.*;
import javax.media.jai.*;
import javax.media.jai.operator.*;

public class ImageWnd extends JInternalFrame {
    private PicEdit m_frmParent;
    private ImageDisplay m_idCanvas;
    
    public ImageWnd(PicEdit frmParent, String sTitle, ImageDisplay idCanvas) {
        super(sTitle, true, true, false, true);
        this.m_frmParent = frmParent;
        this.m_idCanvas = idCanvas;
        setLocation(new Point(100, 100));
        initialize();
    }
    
    public ImageWnd(PicEdit frmParent, String sTitle, ImageDisplay idCanvas, Point p) {
        super(sTitle, true, true, true, true);
        this.m_frmParent = frmParent;
        this.m_idCanvas = idCanvas;
        setLocation(p);
        initialize();
    }
    
    private void initialize() {
        setBackground(Color.WHITE);
        
        getContentPane().setLayout(new GridBagLayout());
        GridBagConstraints gbc = new GridBagConstraints();
        gbc.anchor = GridBagConstraints.CENTER;
        getContentPane().add(m_idCanvas, gbc);
        
        setSize(m_idCanvas.componentWidth + 40, m_idCanvas.componentHeight + 70);
        setMinimumSize(new Dimension(m_idCanvas.componentWidth + 40, m_idCanvas.componentHeight + 70));
        
        m_frmParent.addChild(this);
    }
}